Subject: bug#56682: locked narrowing

From: Gregory Heytings <[email-masked]>
Date: Tue, 29 Nov 2022 20:11:58 +0000

>> - on current master, after C-s eman RET, I see ~100 ms, and after C-s
>
> Note the 100 ms.
>
>> aan zich RET, I see ~100 ms
>
> "eman" is near BOB for you as well, right?
>

It's the same file, so yes.

>> - at ff57f30bee (30 July), after C-s eman RET, I see ~20 ms, and after 
>> C-s aan zich RET, I see ~2700 (!) ms
>> 
>> - at c59b8dfefa (30 Jun), after C-s eman RET, I see ~20 ms, and after 
>> C-s aan zich RET, I see ~2700 (!) ms
>
> Note the 20 ms.
>

I did.

>> - with Emacs 28, after C-s eman RET, I see ~20 ms, and after C-s aan 
>> zich RET, I see ~3000 (!) ms
>
> Yup, the long delays near EOB are expected, I fixed them in js.el not 
> too long ago (one in font-lock rules, and anothing by creating 
> js-json-mode).
>

So what?  We had in that file 20 ms at BOB and 3000 ms at EOB, which means 
an average of 1500 ms (in that file).  Now we have 100 ms at BOB and EOB, 
which means an average of 100 ms (in that file).  How can that be a 
regression?